## libjs-jquery-selectize.js 0.12.4+dfsg

=== Makefile ===
.PHONY: compile release test
plugins=*
GRUNT=node_modules/.bin/grunt

all: compile
test:
	npm test
compile:
	$(GRUNT) --plugins=$(plugins)
release:
ifeq ($(strip $(version)),)
	@echo "\033[31mERROR:\033[0;39m No version provided."
	@echo "\033[1;30mmake release version=1.0.0\033[0;39m"
else
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' selectize.jquery.json
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' package.json
	rm *.bak
	make compile
	npm test || exit 1
	cp dist/js/standalone/selectize.js ../.selectize.js
	git add .
	git commit -a -m "Released $(version)."
	git tag v$(version)
	git push origin master
	git push origin --tags
	npm publish
	git checkout gh-pages
	mv -f ../.selectize.js js/selectize.js
	git commit -a -m "Updated selectize.js to latest version."
	git push origin gh-pages
	git checkout master
	@echo "\033[32mv${version} released\033[0;39m"
endif

## libjs-jquery-selectize.js 0.12.3+dfsg

=== debian/changelog ===
libjs-jquery-selectize.js (0.12.3+dfsg-1) unstable; urgency=medium

  * Update d/copyright to exclude jquery.min.js, in preparation for new release.
  * Imported Upstream version 0.12.3+dfsg

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Wed, 31 Aug 2016 13:22:43 -0400

libjs-jquery-selectize.js (0.12.2+dfsg-1) unstable; urgency=medium

  * Initial release of libjs-jquery-seletize.js. (Closes: #834865)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Mon, 29 Aug 2016 12:35:53 +0000

=== debian/control ===
Source: libjs-jquery-selectize.js
Section: web
Priority: optional
Maintainer: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends:
 debhelper (>=9),
 yui-compressor,
 libjs-jquery,
 libjs-sifter.js,
 libjs-microplugin.js,
 npm,
Standards-Version: 3.9.8
Homepage: https://github.com/selectize/selectize.js
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-jquery-selectize.js.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-jquery-selectize.js.git

Package: libjs-jquery-selectize.js
Architecture: all
Depends:
 ${misc:Depends},
 libjs-jquery,
 libjs-sifter.js,
 libjs-microplugin.js,
Description: Extensible jQuery-based custom select UI control
 Selectize is an extensible jQuery-based custom <select> UI
 control. It's useful for tagging, contact lists, country selectors,
 and so on. The goal is to provide a solid & usable experience with a
 clean and powerful API.
 .
 Features
 .
  * Smart Option Searching / Ranking
 .
    Options are efficiently scored and sorted on-the-fly (using
    libjs-sifter.js). Want to search an item's title *and*
    description?  No problem.
 .
  * Caret between items
 .
    Order matters sometimes. Use the left and right arrow keys to move
    between selected items.
 .
  * Select and delete multiple items at once
 .
    Hold down the CTRL key to select more than one item to delete.
 .
  * Díåcritîçs supported
 .
    Great for international environments.
 .
  * Item creation
 .
    Allow users to create items on the fly (async saving is supported;
    the control locks until the callback is fired).
 .
  * Remote data loading
 .
    For when you have thousands of options and want them provided by
    the server as the user types.
 .
  * Clean API and code
 .
    Interface with it and make modifications easily.
 .
  * Extensible
 .
    Plugin API for developing custom features (uses
    libjs-microplugin.js).
 .
  * Touch Support

=== debian/rules ===
#!/usr/bin/make -f

VER = $(shell dpkg-parsechangelog -S Version | sed 's@\(.*\)+dfsg.*@\1@')

%:
	dh $@

override_dh_auto_build:
	bash ./debian/build.sh $(CURDIR) $(CURDIR)/_build/ $(VER)
	yui-compressor -o _build/selectize.min.js  _build/selectize.js

override_dh_auto_clean:
	dh_auto_clean
	rm -rf _build/

override_dh_auto_test:

## libjs-jquery-selectize.js 0.12.4%2Bdfsg

=== debian/watch ===
version=4
opts="dversionmangle=s@\+dfsg(\.\d+)?@@,\
	repacksuffix=+dfsg,\
	filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/selectize/selectize.js/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## libjs-jquery-selectize.js 0.12.4+dfsg

=== debian/changelog ===
libjs-jquery-selectize.js (0.12.4+dfsg-1) unstable; urgency=medium

  * New upstream version 0.12.4+dfsg
  * Bump standards version to 4.0.1.
  * Change section to "javascript".
  * Use DEB_VERSION instead of dpkg-parsechangelog.
  * Import NMU done by Andrey Rahmatullin.

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Wed, 09 Aug 2017 18:01:44 -0500

libjs-jquery-selectize.js (0.12.3+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused B-D: npm (Closes: #857988).

 -- Andrey Rahmatullin <wrar@debian.org>  Wed, 29 Mar 2017 20:50:45 +0500

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: libjs-jquery-selectize.js
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Sergio Durigan Junior <sergiodj@sergiodj.net>
 Build-Depends:
@@ -8,8 +8,7 @@
  libjs-jquery,
  libjs-sifter.js,
  libjs-microplugin.js,
- npm,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://github.com/selectize/selectize.js
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-jquery-selectize.js.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-jquery-selectize.js.git

## libjs-jquery-selectize.js 0.12.6+dfsg

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 else
 	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' selectize.jquery.json
 	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' package.json
+	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' package-lock.json
 	rm *.bak
 	make compile
 	npm test || exit 1

=== debian/changelog ===
libjs-jquery-selectize.js (0.12.6+dfsg-1) unstable; urgency=medium

  * Update Vcs-* URLs to use salsa.
  * New upstream version 0.12.6+dfsg
  * List pkg-javascript as Maintainer, put myself as Uploader.
  * Bump compat version to 11.
  * Bump Standards-Version to 4.1.5.
  * Update d/copyright.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 23 Jul 2018 02:15:29 -0400

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
-VER = $(shell dpkg-parsechangelog -S Version | sed 's@\(.*\)+dfsg.*@\1@')
+include /usr/share/dpkg/pkg-info.mk
+
+VER = $(shell echo $(DEB_VERSION) | sed 's@\(.*\)+dfsg.*@\1@')
 
 %:
 	dh $@
